White Screen On Parsec

Ad Blockers

Please create an exception for Parsec in your ad blocker. It's not allowing Parsec to connect to our backend services.

Safari

Parsec requires Safari version 10.1. Please update Safari, or use Mozilla Firefox, or Google Chrome.

Internet Explorer

Parsec is not supported in Internet Explorer. Please use Microsoft Edge, Mozilla Firefox, or Google Chrome.